Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Halide::Internal::Autoscheduler::LoopNestParser Class Reference

`#include <LoopNestParser.h>`

## Public Member Functions
| LoopNestParser (const std::vector< std::string > &loop_nest)
void | dump () const
bool | is_in_partial_schedule (const FunctionDAG::Node *node) const
bool | contains_sub_loop_nest_for_shared_stages (const LoopNestParser &other) const
bool | contains_sub_loop_nest (const LoopNestParser &other, bool only_consider_shared_stages=false) const

## Static Public Member Functions
static LoopNestParser | from_string (const std::string &str)
static std::unique_ptr< LoopNestParser > | from_file (const std::string &filename)

## Detailed Description

Definition at line 17 of file LoopNestParser.h.

## Constructor & Destructor Documentation

## ◆ LoopNestParser()

Halide::Internal::Autoscheduler::LoopNestParser::LoopNestParser | ( | const std::vector< std::string > & | loop_nest | ) |
| inline explicit

Definition at line 103 of file LoopNestParser.h.

## Member Function Documentation

## ◆ dump()

void Halide::Internal::Autoscheduler::LoopNestParser::dump | ( |  | ) | const
| inline

Definition at line 108 of file LoopNestParser.h.

References Halide::cast().

## ◆ is_in_partial_schedule()

bool Halide::Internal::Autoscheduler::LoopNestParser::is_in_partial_schedule | ( | const FunctionDAG::Node * | node | ) | const
| inline

Definition at line 136 of file LoopNestParser.h.

References Halide::Internal::Autoscheduler::FunctionDAG::Node::func, and Halide::Internal::Function::name().

## ◆ contains_sub_loop_nest_for_shared_stages()

bool Halide::Internal::Autoscheduler::LoopNestParser::contains_sub_loop_nest_for_shared_stages | ( | const LoopNestParser & | other | ) | const
| inline

Definition at line 140 of file LoopNestParser.h.

References Halide::cast(), and contains_sub_loop_nest().

## ◆ contains_sub_loop_nest()

bool Halide::Internal::Autoscheduler::LoopNestParser::contains_sub_loop_nest | ( | const LoopNestParser & | other,
|  | bool | only_consider_shared_stages = `false`
| ) |  | const
| inline

Definition at line 147 of file LoopNestParser.h.

References Halide::cast().

Referenced by contains_sub_loop_nest_for_shared_stages().

## ◆ from_string()

static LoopNestParser Halide::Internal::Autoscheduler::LoopNestParser::from_string | ( | const std::string & | str | ) |
| inline static

Definition at line 181 of file LoopNestParser.h.

References Halide::cast().

## ◆ from_file()

static std::unique_ptr< LoopNestParser > Halide::Internal::Autoscheduler::LoopNestParser::from_file | ( | const std::string & | filename | ) |
| inline static

Definition at line 193 of file LoopNestParser.h.

References Halide::cast().

The documentation for this class was generated from the following file:

- src/autoschedulers/anderson2021/LoopNestParser.h